--- old/usr/src/tools/scripts/bringovercheck.1	Wed Sep 30 19:35:38 2015
+++ /dev/null	Wed Sep 30 19:25:04 2015
@@ -1,57 +0,0 @@
-.\" CDDL HEADER START
-.\"
-.\" The contents of this file are subject to the terms of the
-.\" Common Development and Distribution License (the "License").
-.\" You may not use this file except in compliance with the License.
-.\"
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" or http://www.opensolaris.org/os/licensing.
-.\" See the License for the specific language governing permissions
-.\" and limitations under the License.
-.\"
-.\" When distributing Covered Code, include this CDDL HEADER in each
-.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" If applicable, add the following below this CDDL HEADER, with the
-.\" fields enclosed by brackets "[]" replaced with your own identifying
-.\" information: Portions Copyright [yyyy] [name of copyright owner]
-.\"
-.\" CDDL HEADER END
-.\"
-.\" Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-.\" Use is subject to license terms.
-.\"
-.\" ident	"%Z%%M%	%I%	%E% SMI"
-.\"
-.TH bringovercheck 1 "7 April 2006"
-.SH NAME
-.I bringovercheck
-\- Repair misordered workspace timestamps
-.SH SYNOPSIS
-.B bringovercheck
-workspace
-.SH DESCRIPTION
-Some versions of 
-.I bringover(1) 
-fail to 
-.I msync(2)
-writeable mappings; this results in indeterminate modification times
-when the workspace exists on certain filesystems.  When this results
-in SCCS s. files being newer than their respective checked-out source
-files, build carnage may result (see
-.I sccscheck(1)
-for one mitigating step being taken).
-
-If a workspace has been damaged by this bug, you can run
-bringovercheck to detect and correct cases where a source file is
-older than its corresponding SCCS s. file.
-
-If no out-of-date files are found, bringovercheck will produce no
-output; otherwise, it will produce a human-readable transcript
-which includes filenames, last modification dates, and the output of
-the sccs commands it uses to attempt to fix the problem.
-
-Note that because the problem may involve deferred filesystem writes,
-this script may not be fully effective if run immediately after a
-bringover.
-
-
--- /dev/null	Wed Sep 30 19:25:04 2015
+++ new/usr/src/tools/scripts/bringovercheck.1onbld	Wed Sep 30 19:35:38 2015
@@ -0,0 +1,55 @@
+.\" CDDL HEADER START
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\" CDDL HEADER END
+.\"
+.\" Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+.\" Use is subject to license terms.
+.\"
+.TH bringovercheck 1ONBLD "7 April 2006"
+.SH NAME
+.I bringovercheck
+\- Repair misordered workspace timestamps
+.SH SYNOPSIS
+.B bringovercheck
+workspace
+.SH DESCRIPTION
+Some versions of
+.I bringover(1ONBLD)
+fail to
+.I msync(2)
+writeable mappings; this results in indeterminate modification times
+when the workspace exists on certain filesystems.  When this results
+in SCCS s. files being newer than their respective checked-out source
+files, build carnage may result (see
+.I sccscheck(1ONBLD)
+for one mitigating step being taken).
+
+If a workspace has been damaged by this bug, you can run
+bringovercheck to detect and correct cases where a source file is
+older than its corresponding SCCS s. file.
+
+If no out-of-date files are found, bringovercheck will produce no
+output; otherwise, it will produce a human-readable transcript
+which includes filenames, last modification dates, and the output of
+the sccs commands it uses to attempt to fix the problem.
+
+Note that because the problem may involve deferred filesystem writes,
+this script may not be fully effective if run immediately after a
+bringover.
+
+