--- old/usr/src/tools/scripts/cddlchk.1	Wed Sep 30 19:35:38 2015
+++ /dev/null	Wed Sep 30 19:25:04 2015
@@ -1,86 +0,0 @@
-.\" CDDL HEADER START
-.\"
-.\" The contents of this file are subject to the terms of the
-.\" Common Development and Distribution License (the "License").
-.\" You may not use this file except in compliance with the License.
-.\"
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" or http://www.opensolaris.org/os/licensing.
-.\" See the License for the specific language governing permissions
-.\" and limitations under the License.
-.\"
-.\" When distributing Covered Code, include this CDDL HEADER in each
-.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" If applicable, add the following below this CDDL HEADER, with the
-.\" fields enclosed by brackets "[]" replaced with your own identifying
-.\" information: Portions Copyright [yyyy] [name of copyright owner]
-.\"
-.\" CDDL HEADER END
-.\"
-.\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-.\" Use is subject to license terms.
-.\"
-.TH cddlchk 1 "1 June 2008"
-.SH NAME
-cddlchk \- Check for valid CDDL header blocks
-.SH SYNOPSIS
-.nf
-\fBcddlchk \fR [\fB-av\fR] [\fB-x\fR \fIexceptions_file\fR] [\fIpath\fR...]
-.fi
-.LP
-.SH DESCRIPTION
-.IX "OS-Net build tools" "cddlchk" "" "\fBcddlchk\fP"
-cddlchk inspects files for missing, obsolete, or corrupt Common
-Development and Distribution License (CDDL) header blocks.
-.LP
-.SH OPTIONS
-.LP
-.TP 4
-.B \-a
-Check that all the specified files have a CDDL block, and report a
-warning if any do not.
-If this flag is not specified, only files containing an existing CDDL
-block are validated.
-.LP
-.TP 4
-.B \-v
-Report on all files, not just those with invalid headers
-.LP
-.TP 4
-.B \-x \fIexceptions_file\fR
-Load an exceptions file containing a list of files, directories and
-file extensions to be ignored.
-Exceptions may be one of three types:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-File paths
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Directories, specified with a trailing '/'
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-File extensions, specified with a leading '*.'
-.RE
-.LP
-.SH EXIT STATUS
-.TP 4
-.B 0
-The command completed successfully.
-No errors or warnings were reported
-.LP
-.TP 4
-.B 1
-The command completed unsuccessfully.
-One or more errors or warnings were reported.
-.LP
-.TP 4
-.B 2
-Invalid command-line arguments were specified to the command.
--- /dev/null	Wed Sep 30 19:25:04 2015
+++ new/usr/src/tools/scripts/cddlchk.1onbld	Wed Sep 30 19:35:38 2015
@@ -0,0 +1,86 @@
+.\" CDDL HEADER START
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\" CDDL HEADER END
+.\"
+.\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+.\" Use is subject to license terms.
+.\"
+.TH cddlchk 1ONBLD "1 June 2008"
+.SH NAME
+cddlchk \- Check for valid CDDL header blocks
+.SH SYNOPSIS
+.nf
+\fBcddlchk \fR [\fB-av\fR] [\fB-x\fR \fIexceptions_file\fR] [\fIpath\fR...]
+.fi
+.LP
+.SH DESCRIPTION
+.IX "OS-Net build tools" "cddlchk" "" "\fBcddlchk\fP"
+cddlchk inspects files for missing, obsolete, or corrupt Common
+Development and Distribution License (CDDL) header blocks.
+.LP
+.SH OPTIONS
+.LP
+.TP 4
+.B \-a
+Check that all the specified files have a CDDL block, and report a
+warning if any do not.
+If this flag is not specified, only files containing an existing CDDL
+block are validated.
+.LP
+.TP 4
+.B \-v
+Report on all files, not just those with invalid headers
+.LP
+.TP 4
+.B \-x \fIexceptions_file\fR
+Load an exceptions file containing a list of files, directories and
+file extensions to be ignored.
+Exceptions may be one of three types:
+.RS +4
+.TP
+.ie t \(bu
+.el o
+File paths
+.RE
+.RS +4
+.TP
+.ie t \(bu
+.el o
+Directories, specified with a trailing '/'
+.RE
+.RS +4
+.TP
+.ie t \(bu
+.el o
+File extensions, specified with a leading '*.'
+.RE
+.LP
+.SH EXIT STATUS
+.TP 4
+.B 0
+The command completed successfully.
+No errors or warnings were reported
+.LP
+.TP 4
+.B 1
+The command completed unsuccessfully.
+One or more errors or warnings were reported.
+.LP
+.TP 4
+.B 2
+Invalid command-line arguments were specified to the command.