--- old/usr/src/tools/scripts/flg.flp.1	Wed Sep 30 19:35:39 2015
+++ /dev/null	Wed Sep 30 19:25:04 2015
@@ -1,54 +0,0 @@
-.\" ident	"%Z%%M%	%I%	%E% SMI"
-.\" " CDDL HEADER START
-.\" "
-.\" " The contents of this file are subject to the terms of the
-.\" " Common Development and Distribution License, Version 1.0 only
-.\" " (the "License").  You may not use this file except in compliance
-.\" " with the License.
-.\" "
-.\" " You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" " or http://www.opensolaris.org/os/licensing.
-.\" " See the License for the specific language governing permissions
-.\" " and limitations under the License.
-.\" "
-.\" " When distributing Covered Code, include this CDDL HEADER in each
-.\" " file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" " If applicable, add the following below this CDDL HEADER, with the
-.\" " fields enclosed by brackets "[]" replaced with your own identifying
-.\" " information: Portions Copyright [yyyy] [name of copyright owner]
-.\" "
-.\" " CDDL HEADER END
-.\" "
-.\" "Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
-.\" "Use is subject to license terms."
-.TH flg.flp 1 "18 Oct 2002"
-.I flg.flp
-\- list the files that bringover would bring over due to inc.flg and
-req.flg files
-.SH SYNOPSIS
-\fBflg.flp [-r] [<dir>]
-.LP
-.SH DESCRIPTION
-.IX "OS-Net build tools" "flg.flp" "" "\fBflg.flp\fP"
-.LP
-.I flg.flp
-uses the inc.flg and req.flg files contained within a workspace to
-determine what additional files would be brought over if one were to
-perform a bringover(1) of the specified directory. The resulting list of
-files, specified relative to \fICODEMGR_WS\fP, is sent to standard output.
-.LP
-At most one directory may be specified; if none is specified, the current
-working directory is assumed.  A relative directory is assumed to be
-relative to the current directory or relative to \fICODEMGR_WS\fP, in that
-order.  
-.SH OPTIONS
-.TP 10
-.B -r	
-Output the list of files relative to the current working directory, rather
-than \fICODEMGR_WS\fP.
-.SH SEE ALSO
-.LP
-.IR bringover(1)
-.LP
-The inc.flg and req.flg files are poorly documented, but outlined in
-/shared/ON/tools/teamware/OSNet/doc/osnet-sde.
--- /dev/null	Wed Sep 30 19:25:04 2015
+++ new/usr/src/tools/scripts/flg.flp.1onbld	Wed Sep 30 19:35:39 2015
@@ -0,0 +1,53 @@
+.\" " CDDL HEADER START
+.\" "
+.\" " The contents of this file are subject to the terms of the
+.\" " Common Development and Distribution License, Version 1.0 only
+.\" " (the "License").  You may not use this file except in compliance
+.\" " with the License.
+.\" "
+.\" " You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" " or http://www.opensolaris.org/os/licensing.
+.\" " See the License for the specific language governing permissions
+.\" " and limitations under the License.
+.\" "
+.\" " When distributing Covered Code, include this CDDL HEADER in each
+.\" " file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" " If applicable, add the following below this CDDL HEADER, with the
+.\" " fields enclosed by brackets "[]" replaced with your own identifying
+.\" " information: Portions Copyright [yyyy] [name of copyright owner]
+.\" "
+.\" " CDDL HEADER END
+.\" "
+.\" "Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
+.\" "Use is subject to license terms."
+.TH flg.flp 1ONBLD "18 Oct 2002"
+.I flg.flp
+\- list the files that bringover would bring over due to inc.flg and
+req.flg files
+.SH SYNOPSIS
+\fBflg.flp [-r] [<dir>]
+.LP
+.SH DESCRIPTION
+.IX "OS-Net build tools" "flg.flp" "" "\fBflg.flp\fP"
+.LP
+.I flg.flp
+uses the inc.flg and req.flg files contained within a workspace to
+determine what additional files would be brought over if one were to
+perform a bringover(1ONBLD) of the specified directory. The resulting list of
+files, specified relative to \fICODEMGR_WS\fP, is sent to standard output.
+.LP
+At most one directory may be specified; if none is specified, the current
+working directory is assumed.  A relative directory is assumed to be
+relative to the current directory or relative to \fICODEMGR_WS\fP, in that
+order.  
+.SH OPTIONS
+.TP 10
+.B -r	
+Output the list of files relative to the current working directory, rather
+than \fICODEMGR_WS\fP.
+.SH SEE ALSO
+.LP
+.IR bringover(1ONBLD)
+.LP
+The inc.flg and req.flg files are poorly documented, but outlined in
+/shared/ON/tools/teamware/OSNet/doc/osnet-sde.