--- old/usr/src/tools/scripts/hgsetup.1	Wed Sep 30 19:35:40 2015
+++ /dev/null	Wed Sep 30 19:25:04 2015
@@ -1,73 +0,0 @@
-.\" CDDL HEADER START
-.\"
-.\" The contents of this file are subject to the terms of the
-.\" Common Development and Distribution License (the "License").
-.\" You may not use this file except in compliance with the License.
-.\"
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" or http://www.opensolaris.org/os/licensing.
-.\" See the License for the specific language governing permissions
-.\" and limitations under the License.
-.\"
-.\" When distributing Covered Code, include this CDDL HEADER in each
-.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" If applicable, add the following below this CDDL HEADER, with the
-.\" fields enclosed by brackets "[]" replaced with your own identifying
-.\" information: Portions Copyright [yyyy] [name of copyright owner]
-.\"
-.\" CDDL HEADER END
-.\"
-.\" Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-.\" Use is subject to license terms."
-.\"
-.TH hgsetup 1 "2 October 2008"
-.SH NAME
-.I hgsetup
-\- sets up a user's ~/.hgrc for development of ON with Mercurial
-.SH SYNOPSIS
-\fBhgsetup [-f] [-c \fIcdm_path\fP] [-m \fImerge_path\fP] [-n \fIname\fP] [-e \fIemail\fP] [-p \fIproxy\fP] [-s \fIstyle_path\fP]
-.LP
-.SH DESCRIPTION
-.IX "OS-Net build tools" "hgsetup" "" "\fBhgsetup\fP"
-.LP
-The hgsetup script sets up a user's ~/.hgrc (hgrc(5)) file for development
-of ON (OS/Net) with Mercurial.  
-.LP
-It populates the author and email fields with the user's information.
-It loads the Cadmium extension.
-It aliases canonical repositories for onnv-gate.
-It configures Mercurial to use appropriate merge tools.
-.SH OPTIONS
-.TP 10
-.B -f
-Force the user's ~/.hgrc to be overwritten if one already exists
-.TP 10
-.B -c
-Override the path to the Cadmium extension for Mercurial to load
-.TP 10
-.B -m
-Override the default merge configuration, such that a single
-specified tool is used.
-.TP 10
-.B -n
-Specify the name to use for commits (default is taken from passwd file)
-.TP 10
-.B -e
-Specify the email address to use for commits.
-For SWAN users the default is taken from an LDAP query, otherwise -e 
-is mandatory.
-.TP 10
-.B -p
-Specify an http_proxy to use for interacting with HTTP repositories
-.TP 10
-.B -s
-Override the path to the Mercurial style file
-.LP
-.SH OUTPUT
-.LP
-Generates a .hgrc file in the user's home directory.
-.LP
-.SH SEE ALSO
-.LP
-.IR hgrc(5),
-.IR hg(1),
--- /dev/null	Wed Sep 30 19:25:04 2015
+++ new/usr/src/tools/scripts/hgsetup.1onbld	Wed Sep 30 19:35:40 2015
@@ -0,0 +1,73 @@
+.\" CDDL HEADER START
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\" CDDL HEADER END
+.\"
+.\" Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+.\" Use is subject to license terms."
+.\"
+.TH hgsetup 1ONBLD "2 October 2008"
+.SH NAME
+.I hgsetup
+\- sets up a user's ~/.hgrc for development of ON with Mercurial
+.SH SYNOPSIS
+\fBhgsetup [-f] [-c \fIcdm_path\fP] [-m \fImerge_path\fP] [-n \fIname\fP] [-e \fIemail\fP] [-p \fIproxy\fP] [-s \fIstyle_path\fP]
+.LP
+.SH DESCRIPTION
+.IX "OS-Net build tools" "hgsetup" "" "\fBhgsetup\fP"
+.LP
+The hgsetup script sets up a user's ~/.hgrc (hgrc(5)) file for development
+of ON (OS/Net) with Mercurial.  
+.LP
+It populates the author and email fields with the user's information.
+It loads the Cadmium extension.
+It aliases canonical repositories for onnv-gate.
+It configures Mercurial to use appropriate merge tools.
+.SH OPTIONS
+.TP 10
+.B -f
+Force the user's ~/.hgrc to be overwritten if one already exists
+.TP 10
+.B -c
+Override the path to the Cadmium extension for Mercurial to load
+.TP 10
+.B -m
+Override the default merge configuration, such that a single
+specified tool is used.
+.TP 10
+.B -n
+Specify the name to use for commits (default is taken from passwd file)
+.TP 10
+.B -e
+Specify the email address to use for commits.
+For SWAN users the default is taken from an LDAP query, otherwise -e 
+is mandatory.
+.TP 10
+.B -p
+Specify an http_proxy to use for interacting with HTTP repositories
+.TP 10
+.B -s
+Override the path to the Mercurial style file
+.LP
+.SH OUTPUT
+.LP
+Generates a .hgrc file in the user's home directory.
+.LP
+.SH SEE ALSO
+.LP
+.IR hgrc(5),
+.IR hg(1),