--- old/usr/src/tools/scripts/mapfilechk.1	Wed Sep 30 19:35:40 2015
+++ /dev/null	Wed Sep 30 19:25:04 2015
@@ -1,78 +0,0 @@
-.\" CDDL HEADER START
-.\"
-.\" The contents of this file are subject to the terms of the
-.\" Common Development and Distribution License (the "License").
-.\" You may not use this file except in compliance with the License.
-.\"
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" or http://www.opensolaris.org/os/licensing.
-.\" See the License for the specific language governing permissions
-.\" and limitations under the License.
-.\"
-.\" When distributing Covered Code, include this CDDL HEADER in each
-.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" If applicable, add the following below this CDDL HEADER, with the
-.\" fields enclosed by brackets "[]" replaced with your own identifying
-.\" information: Portions Copyright [yyyy] [name of copyright owner]
-.\"
-.\" CDDL HEADER END
-.\"
-.\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-.\" Use is subject to license terms.
-.TH mapfilechk 1 "27 January 2009"
-.SH NAME
-mapfilechk \- Check for valid link-editor mapfile header blocks
-.SH SYNOPSIS
-.nf
-\fBmapfilechk \fR [\fB-v\fR] [\fB-x\fR \fIexceptions_file\fR] [\fIpath\fR...]
-.fi
-.LP
-.SH DESCRIPTION
-.IX "OS-Net build tools" "mapfilechk" "" "\fBmapfilechk\fP"
-mapfilechk inspects link-editor mapfiles for missing, obsolete,
-or corrupt mapfile header blocks.
-.LP
-.SH OPTIONS
-.LP
-.TP 4
-.B \-v
-Report on all files, not just those with invalid headers
-.LP
-.TP 4
-.B \-x \fIexceptions_file\fR
-Load an exceptions file containing a list of files, directories and
-file extensions to be ignored.
-Exceptions may be one of three types:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-File paths
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Directories, specified with a trailing '/'
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-File extensions, specified with a leading '*.'
-.RE
-.LP
-.SH EXIT STATUS
-.TP 4
-.B 0
-The command completed successfully.
-No errors or warnings were reported
-.LP
-.TP 4
-.B 1
-The command completed unsuccessfully.
-One or more errors or warnings were reported.
-.LP
-.TP 4
-.B 2
-Invalid command-line arguments were specified to the command.
--- /dev/null	Wed Sep 30 19:25:04 2015
+++ new/usr/src/tools/scripts/mapfilechk.1onbld	Wed Sep 30 19:35:40 2015
@@ -0,0 +1,78 @@
+.\" CDDL HEADER START
+.\"
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.\"
+.\" CDDL HEADER END
+.\"
+.\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+.\" Use is subject to license terms.
+.TH mapfilechk 1ONBLD "27 January 2009"
+.SH NAME
+mapfilechk \- Check for valid link-editor mapfile header blocks
+.SH SYNOPSIS
+.nf
+\fBmapfilechk \fR [\fB-v\fR] [\fB-x\fR \fIexceptions_file\fR] [\fIpath\fR...]
+.fi
+.LP
+.SH DESCRIPTION
+.IX "OS-Net build tools" "mapfilechk" "" "\fBmapfilechk\fP"
+mapfilechk inspects link-editor mapfiles for missing, obsolete,
+or corrupt mapfile header blocks.
+.LP
+.SH OPTIONS
+.LP
+.TP 4
+.B \-v
+Report on all files, not just those with invalid headers
+.LP
+.TP 4
+.B \-x \fIexceptions_file\fR
+Load an exceptions file containing a list of files, directories and
+file extensions to be ignored.
+Exceptions may be one of three types:
+.RS +4
+.TP
+.ie t \(bu
+.el o
+File paths
+.RE
+.RS +4
+.TP
+.ie t \(bu
+.el o
+Directories, specified with a trailing '/'
+.RE
+.RS +4
+.TP
+.ie t \(bu
+.el o
+File extensions, specified with a leading '*.'
+.RE
+.LP
+.SH EXIT STATUS
+.TP 4
+.B 0
+The command completed successfully.
+No errors or warnings were reported
+.LP
+.TP 4
+.B 1
+The command completed unsuccessfully.
+One or more errors or warnings were reported.
+.LP
+.TP 4
+.B 2
+Invalid command-line arguments were specified to the command.